aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/systemd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/systemd.sh')
-rw-r--r--chapter8/systemd.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/chapter8/systemd.sh b/chapter8/systemd.sh
new file mode 100644
index 0000000..7b9f562
--- /dev/null
+++ b/chapter8/systemd.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+set -e
+
+patch -Np1 -i ../systemd-"${VERSION}"-upstream_fixes-2.patch &&
+sed '181,$ d' -i src/resolve/meson.build &&
+sed -i 's/GROUP="render"/GROUP="video"/' rules.d/50-udev-default.rules.in &&
+
+mkdir -v build
+cd build || exit 1
+
+LANG=en_US.UTF-8 \
+meson --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ -Dblkid=true \
+ -Dbuildtype=release \
+ -Ddefault-dnssec=no \
+ -Dfirstboot=false \
+ -Dinstall-tests=false \
+ -Dkmod-path=/bin/kmod \
+ -Dldconfig=false \
+ -Dmount-path=/bin/mount \
+ -Drootprefix= \
+ -Drootlibdir=/lib \
+ -Dsplit-usr=true \
+ -Dsulogin-path=/sbin/sulogin \
+ -Dsysusers=false \
+ -Dumount-path=/bin/umount \
+ -Db_lto=false \
+ -Drpmmacrosdir=no \
+ -Dhomed=false \
+ -Duserdb=false \
+ -Dman=false \
+ -Dmode=release \
+ -Ddocdir=/usr/share/doc/systemd-"${VERSION}" \
+ .. &&
+
+LANG=en_US.UTF-8 ninja &&
+
+LANG=en_US.UTF-8 ninja install &&
+tar -xvf ../../systemd-man-pages-"${VERSION}"-2.tar.xz \
+ --strip-components=1 -C /usr/share/man &&
+rm -rfv /usr/lib/pam.d &&
+systemd-machine-id-setup &&
+systemctl preset-all &&
+systemctl disable systemd-time-wait-sync.service